- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

# log4cxx::rule Namespace Reference

## Typedefs
typedef helpers::ObjectPtrT< Rule > | RulePtr
typedef helpers::ObjectPtrT< Rule > | RulePtr
typedef helpers::ObjectPtrT< ExpressionRule > | ExpressionRulePtr

## Typedef Documentation

typedef helpers::ObjectPtrT< ExpressionRule > ExpressionRulePtr

typedef helpers::ObjectPtrT< Rule > RulePtr

typedef helpers::ObjectPtrT< Rule > RulePtr